--- Totestra-20120615.py	2012-06-15 20:54:54.000000000 -0700
+++ Totestra-2017-03-29.py	2017-03-29 20:29:33.013965959 -0700
@@ -1,5 +1,5 @@
 ##############################################################################
-## File: Totestra.py version 20120615 (June 15, 2012)
+## File: Totestra.py version 2017-03-29 (March 29, 2017)
 ## Note: This is a finished product.  
 ## Original file: PerfectWorld.py version 2.06
 ## Author: Rich Marinaccio
@@ -51,6 +51,10 @@
 ## Version History
 ## Totestra - Sam Trenholme's update of PerfectWorld2.py
 ##
+## 2017-03-29:
+## 1) Update tropical climate done by q3max, see http://bit.ly/2oAKQSx
+##    for original patch
+##
 ## 20120615:
 ## 1) One-line bugfix for multi-player maps
 ##
@@ -616,6 +620,14 @@
         clim = mmap.getClimate() 
         if clim == 1: # Tropical
             self.tropicsLatitude = 46
+            # q3max changes
+            self.DesertPercent = .10 # added
+            self.PlainsPercent = .30 # added
+            self.SnowTemp = .20 # added
+            self.TundraTemp = .30 # added
+            self.ForestTemp = .35 # added
+            self.JungleTemp = .50 # added
+            # End q3max changes
 	    self.iceSlope = 0.33 # Less ice
         elif clim == 2: # Arid
             self.DesertPercent = 0.40
